#!/bin/bash
#Script para la realización de las pruebas en Cassandra
repeticiones=5

echo "   -> Numero de repeticiones: $repeticiones"
	for nro in $( seq 1 $repeticiones)
	do
		opcion="opcion1"
		# Fichero donde se almacena la información de las pruebas
		fich_resultados="/home/resultados/cassandra_$opcion.$nro.txt"
		echo "     *** -> Empezando repeticion: $nro"
		echo "		Poblando base de datos Cassandra en $opcion"
		time cqlsh -k opcion1 -e "COPY phone_watch (type_device, sensor, indice, arrival_time, creation_time, x, y, z, user, model, device, gt) FROM '/home/datos/opcion1.csv' WITH HEADER = TRUE;" >> $fich_resultados 
		echo "		Realizando búsqueda Cassandra en $opcion"
		time cqlsh localhost -k opcion1 -e "select * from phone_watch where sensor='accelerometer' and gt='sit' and user='a' and model='lgwatch' and x >-6.9 and z<2.3 ALLOW FILTERING;" >> $fich_resultados
		echo "		Realizando update Cassandra en $opcion"
		time cqlsh localhost -k opcion1 -e "UPDATE phone_watch SET model ='newwatch'  where type_device='watch' and sensor='accelerometer' and gt='sit' and user='a' and indice =122214;" >> $fich_resultados 
		echo "Borrando base de datos Cassandra en $opcion"
		time cqlsh localhost -k opcion1 -e "TRUNCATE phone_watch;" >> $fich_resultados 
		#Se pasa a emplear el segundo modelo
		opcion="opcion2"
		# Fichero donde se almacena la información de las pruebas
		fich_resultados="/home/resultados/cassandra_$opcion.$nro.txt"
		echo "		Poblando base de datos Cassandra en $opcion"
		time cqlsh -k opcion2 -e "COPY watch (sensor, indice, arrival_time, creation_time, x, y, z, user, model, device, gt) FROM '/home/datos/opcion2_watch.csv' WITH HEADER = TRUE;" >> $fich_resultados 
		echo "		Realizando búsqueda Cassandra en $opcion"
		time cqlsh localhost -k opcion2 -e "select * from watch where sensor='accelerometer' and gt='sit' and user='a' and model='lgwatch' and x >-6.9 and z<2.3 ALLOW FILTERING;" >> $fich_resultados 
		echo "		Realizando update Cassandra en $opcion"
		time cqlsh localhost -k opcion2 -e "UPDATE watch SET model ='newwatch' where sensor='accelerometer' and gt='sit' and user='a' and indice =122214;" >> $fich_resultados 
		echo "Borrando base de datos Cassandra en $opcion"
		time cqlsh localhost -k opcion2 -e "TRUNCATE watch;" >> $fich_resultados 
		
		# Se espera un tiempo antes de empezar la siguiente prueba
		echo "     Tiempo de espera: 10 seg..."
		sleep 10
	done

exit 0		
