#!/bin/bash
#Script para la realización de las pruebas en MongoDB
repeticiones=5

echo "   -> Numero de repeticiones: $repeticiones"
	for nro in $( seq 1 $repeticiones)
	do
		opcion="opcion1"
		# Fichero donde se almacena la información de las pruebas
		fich_resultados="/home/resultados/mongo_$opcion.$nro.txt"
		echo "     *** -> Empezando repeticion: $nro"
		echo "		Poblando base de datos MongoDB en $opcion"
		time mongoimport --db opcion1 --collection phone_watch --type csv --headerline --file /home/datos/opcion1.csv >> $fich_resultados 
		echo "		Realizando búsqueda MongoDB en $opcion"
		time mongo opcion1 --eval 'db.phone_watch.find({"Sensor":"accelerometer","gt":"sit","User":"a","Model":"lgwatch","x": {$gt: -6.9},"z":{$lt:2.3}}).forEach(printjson)' >> $fich_resultados 
		echo "		Realizando update MongoDB en $opcion"
		time mongo opcion1 --eval 'db.phone_watch.updateOne({"Sensor":"accelerometer","gt":"sit","User":"a","Index":122214}, {$set: {"model":"newwatch"}})' >> $fich_resultados 
		echo "Borrando base de datos MongoDB en $opcion"
		time mongo opcion1 --eval 'db.phone_watch.deleteMany({})' >> $fich_resultados 
		#Se pasa a emplear el segundo modelo
		opcion="opcion2"
		# Fichero donde se almacena la información de las pruebas
		fich_resultados="/home/resultados/mongo_$opcion.$nro.txt"
		echo "		Poblando base de datos MongoDB en $opcion"
		time mongoimport --db opcion2 --collection swatch --type csv --headerline --file /home/datos/opcion2_watch.csv  >> $fich_resultados 
		echo "		Realizando búsqueda MongoDB en $opcion"
		time mongo opcion2 --eval 'db.swatch.find({"Sensor":"accelerometer","gt":"sit","User":"a","Model":"lgwatch","x": {$gt: -6.9},"z":{$lt:2.3}}).forEach(printjson)' >> $fich_resultados 
		echo "		Realizando update MongoDB en $opcion"
		time mongo opcion2 --eval 'db.swatch.updateOne({"Sensor":"accelerometer","gt":"sit","User":"a","Index":122214}, {$set: {"model":"newwatch"}})' >> $fich_resultados 
		echo "Borrando base de datos MongoDB en $opcion"
		time mongo opcion2 --eval 'db.swatch.deleteMany({})' >> $fich_resultados 
		
		# Se espera un tiempo antes de empezar la siguiente prueba
		echo "     Tiempo de espera: 10 seg..."
		sleep 10
	done
exit 0		
